package domain


type AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult struct {
    /*
        返回码说明     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        是否调用成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回结果     */
    Model  *AlibabaWdkorderSharestockInsuranceGetorderInsuranceOrder `json:"model,omitempty" `

}

func (s *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult) SetReturnMsg(v string) *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult) SetReturnCode(v string) *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult) SetSuccess(v bool) *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult) SetModel(v AlibabaWdkorderSharestockInsuranceGetorderInsuranceOrder) *AlibabaWdkorderSharestockInsuranceGetorderMaochaoOrderInsuranceQueryResult {
    s.Model = &v
    return s
}
